rtp.h(3)

NAME
rtp.h -

Generic and audio/video profile specific RTP interface of ccRTP.

SYNOPSIS

#include <ccrtp/cqueue.h>
#include <ccrtp/channel.h>

  Classes
class TRTPSessionBase< RTPDataChannel, RTCPChannel, ServiceQueue >
class SingleThreadRTPSession< RTPDataChannel, RTCPChannel, ServiceQueue >
This template class adds the threading aspect to the RTPSessionBase template in one of the many possible ways.

  Typedefs
typedef SingleThreadRTPSession RTPSession
Uses two pairs of sockets for RTP data and RTCP transmission/reception.
typedef RTPSession RTPSocket
Alias for RTPSession.
typedef SingleThreadRTPSession< SymmetricRTPChannel, SymmetricRTPChannel > SymmetricRTPSession
Uses one pair of sockets, (1) for RTP data and (2) for RTCP transmission/reception.

Detailed Description

Generic and audio/video profile specific RTP interface of ccRTP. The classes and types in this header provide general RTP functionality (following RFC 3550) as well as audio/video RTP profile specific functionality (following RFC 3551).

Author

Generated automatically by Doxygen for ccRTP from the source code.